PX_PUT_RECORD(3)

NAME
PX_put_record — Stores record in Paradox file

SYNOPSIS

#include <paradox.h>

int PX_put_record(pxdoc_t *pxdoc, char *data)

DESCRIPTION

Stores a record in the buffer data into a Paradox file. data must be constructed with PX_put_data_xxx(3) functions before. It is of the same structure as the record returned by PX_get_record(3) and PX_get_record2(3).

The new record will be stored after the last one added.

RETURN VALUE

Returns the record position on success and -1 on failure. The first position has number 0.

SEE ALSO

PX_get_record(3), PX_get_record2(3), PX_put_recordn(3), PX_put_data_byte(3), PX_put_data_short(3), PX_put_data_long(3), PX_put_data_double(3), PX_put_data_alpha(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.